# Variable capabilities`Const`

capabilities: {
fissionLobby(settings: Configuration & {
crypto?: Crypto.Implementation;
depot?: Depot.Implementation;
staging?: boolean;
}): Promise<Capabilities.Implementation>;
} = ...

Predefined capabilities configurations.

If you want partial read and/or write access to the filesystem you'll want a "capabilities" component. This component is responsible for requesting and receiving UCANs, read keys and namefilters from other sources to enable this.

NOTE: If you're using a non-default component, you'll want to pass that in here as a parameter as well. Dependencies: crypto, depot.

#### Type declaration

- ##### fissionLobby:function

  - fissionLobby(settings: Configuration & {
    crypto?: Crypto.Implementation;
    depot?: Depot.Implementation;
    staging?: boolean;
    }): Promise<Capabilities.Implementation>

  - A secure enclave in the form of a webnative app which serves as the root authority. Your app is redirected to the lobby where the user can create an account or link a device, and then request permissions from the user for reading or write to specific parts of the filesystem.

    #### Parameters

    - ##### settings: Configuration & {
      crypto?: Crypto.Implementation;
      depot?: Depot.Implementation;
      staging?: boolean;
      }

    #### Returns Promise<Capabilities.Implementation>

    - Defined in index.ts:232

- Defined in index.ts:226

Generated using TypeDoc